CmdMessenger 4.0.0 CmdMessenger is a serial port messaging library for the .Net / Mono Platform.

- Main Page
- Packages
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions | Properties | Events
CommandMessenger.Queue.SendCommandQueue Class Reference

Queue of received commands. More...

Inheritance diagram for CommandMessenger.Queue.SendCommandQueue:

List of all members.

## Public Member Functions
| SendCommandQueue (CommunicationManager communicationManager, int sendBufferMaxLength)
| send command queue constructor.
void | SendCommand (SendCommand sendCommand)
| Sends a command. Note that the command is put at the front of the queue.
void | QueueCommand (SendCommand sendCommand)
| Queue the send command.
override void | QueueCommand (CommandStrategy commandStrategy)
| Queue the send command wrapped in a command strategy.
## Protected Member Functions
override bool | ProcessQueue ()
| Process the queue.
## Properties
uint | MaxQueueLength`[get, set]`
## Events
EventHandler< CommandEventArgs > | NewLineSent

## Detailed Description

Queue of received commands.

## Constructor & Destructor Documentation

CommandMessenger.Queue.SendCommandQueue.SendCommandQueue | ( | CommunicationManager | communicationManager,
|  | int | sendBufferMaxLength
| ) |  |

send command queue constructor.

Parameters:

  communicationManager | The communication manager instance
  sendBufferMaxLength | Length of the send buffer

## Member Function Documentation

override bool CommandMessenger.Queue.SendCommandQueue.ProcessQueue | ( |  | ) | `[protected, virtual]`

Process the queue.

Implements CommandMessenger.Queue.CommandQueue.

void CommandMessenger.Queue.SendCommandQueue.QueueCommand | ( | SendCommand | sendCommand | ) |

Queue the send command.

Parameters:

  sendCommand | The command to sent.

override void CommandMessenger.Queue.SendCommandQueue.QueueCommand | ( | CommandStrategy | commandStrategy | ) | `[virtual]`

Queue the send command wrapped in a command strategy.

Parameters:

  commandStrategy | The command strategy.

Implements CommandMessenger.Queue.CommandQueue.

void CommandMessenger.Queue.SendCommandQueue.SendCommand | ( | SendCommand | sendCommand | ) |

Sends a command. Note that the command is put at the front of the queue.

Parameters:

  sendCommand | The command to sent.

The documentation for this class was generated from the following file:

- D:/My Documents/Github/Arduino/Own Arduino libraries/CmdMessenger/Arduino-CmdMessenger/extras/CSharp/CommandMessenger/Queue/SendCommandQueue.cs